bundle install --without development test fails
2013-11-18 05:19 - Tod Beardsley

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 25.0

Resolution: Cant reproduce Affected version: 2.4.0
Description

When installing per the instructions at

http://www.redmine.org/projects/redmine/wiki/Redminelnstall

bundler completes without incident. However, | am unable to ‘rake generate_secret_token® (the next step)

| get the message:

redmine@shawshank ~/redmine-2.4.0 $ rake generate_secret_token

Could not find gem 'database_cleaner (>= 0) ruby' in the gems available on this machine.
Run "bundle install® to install missing gems.

This is because database_cleaner is part of the test section.

Solution: move database_cleaner out of test and into main

Workaround: bundle install --without development # maybe, trying this now.

Related issues:
Has duplicate Redmine - Defect #15797: Could not find gem 'database_cleaner (... Closed

Associated revisions

Revision 12298 - 2013-11-18 22:56 - Jean-Philippe Lang

Removed database_cleaner dependency (#15377).

History

#1 - 2013-11-18 05:24 - Tod Beardsley

redmine@shawshank ~/redmine-2.4.0 $ ruby -v

ruby 1.9.3pl194 (2012-04-20 revision 35410) [arm-linux-eabihf]

redmine@shawshank ~/redmine-2.4.0 $ rails -v

Could not find gem 'rmagick (>= 2.0.0) ruby' in the gems available on this machine.
Run “bundle install’ to install missing gems.

Currently stepping through the remaining missing requirements.

#2 - 2013-11-18 08:19 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Invalid

Please head over to the Help forum and post your support request there instead of posting it here as a defect in the tracker.

#3 - 2013-11-18 14:22 - Tod Beardsley

- Status changed from Closed to Reopened

It's not a support request (stepping through the rest of the requirements lead to no surprises). The fact of the matter is, the documented installation
procedure is incorrect. I'm doing fine, but “bundle install --without development test’ leads to a broken installation that needs to be repaired. Not
exactly a rewarding OOB experience.
Not to worry, | can provide patches (just not at this moment). | suspect just moving database_cleaner to the main bundler set will do the trick, or,
instructing users to install the rails gem first (iirc, Rails also provides database_cleaner).

#4 - 2013-11-18 22:53 - Jean-Philippe Lang

- Resolution changed from Invalid to Cant reproduce

rake generate_secret_token runs just fine for me when using bundle install --without development test. I'll remove this dependency anyway as it's no
longer needed.

#5 - 2013-11-23 09:38 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

#6 - 2013-12-22 15:48 - Jean-Philippe Lang

- Status changed from Reopened to Closed

#7 - 2014-01-03 15:43 - Jean-Philippe Lang

- Has duplicate Defect #15797: Could not find gem 'database_cleaner (>= 0) x86-mingw32' in the gems available on this machine. added
